<?php
    
    use yii\db\Migration;
    
    class m170518_134754_new_import_table extends Migration
    {
        /**
         * @inheritdoc
         */
        public function up()
        {
            $this->dropTable('import');
            $this->createTable(
                'import',
                [
                    'category_name'   => $this->string(),
                    'brand_name'      => $this->string(),
                    'product_name'    => $this->string(),
                    'sku'             => $this->string(),
                    'price'           => $this->float(),
                    'price_old'       => $this->float(),
                    'mask'            => $this->integer(),
                    'image_link'      => $this->string(),
                    'image_name'      => $this->string(),
                    'video'           => $this->string(),
                    'stock'           => $this->integer(),
                    'characteristics' => $this->text(),
                ]
            );
        }
        
        /**
         * @inheritdoc
         */
        public function down()
        {
            $this->dropTable('import');
            $this->createTable(
                'import',
                [
                    'category_name'   => $this->string(),
                    'brand_name'      => $this->string(),
                    'product_name'    => $this->string(),
                    'sku'             => $this->string(),
                    'price'           => $this->float(),
                    'price_old'       => $this->float(),
                    'mask'            => $this->integer(),
                    'image_link'      => $this->string(),
                    'image_name'      => $this->string(),
                    'video'           => $this->string(),
                    'stock'           => $this->integer(),
                    'characteristics' => $this->text(),
                ]
            );
        }
    }
