<?php

namespace artbox\catalog\models;


/**
 * This is the model class for table "price_upload".
 *
 * @property string $sku
 * @property string $price
 * @property string $price_old
 */
class PriceUpload extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'price_upload';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['sku'], 'required'],
            [['price', 'price_old'], 'number'],
            [['sku'], 'string', 'max' => 255],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'sku' => 'Sku',
            'price' => 'Price',
            'price_old' => 'Price Old',
        ];
    }
}
