<?php
    
    namespace artbox\core\assets;
    
    use yii\web\AssetBundle;
    
    /**
     * Class GalleryAsset
     *
     * @package artbox\core\assets
     */
    class GalleryAsset extends AssetBundle
    {
        public $sourcePath = '@artbox/core/assets/src';
        
        public $js = [
            'js/galleryWidget.js',
        ];
        
        public $depends = [
            'artbox\core\components\imagemanager\assets\ImageManagerInputAsset',
        ];
    }