<?php
    
    use yii\db\Migration;
    
    class m170327_134400_alias_add_language_column extends Migration
    {
        public function safeUp()
        {
            $this->addColumn('alias', 'language_id', $this->integer());
            $this->addForeignKey('alias_to_language', 'alias', 'language_id', 'language', 'id', 'SET NULL', 'CASCADE');
        }
        
        public function safeDown()
        {
            $this->dropForeignKey('alias_to_language', 'alias');
            $this->dropColumn('alias', 'language_id');
        }
    }
