<?php
    
    use yii\db\Migration;
    
    class m170502_151419_insert_aliases extends Migration
    {
        public function safeUp()
        {
            $this->batchInsert(
                'alias',
                [
                    'value',
                    'route',
                    'title',
                    'description',
                    'h1',
                    'language_id',
                ],
                [
                    [
                        'home',
                        '{"0":"site/index"}',
                        'Home page title',
                        'Home page description',
                        'Home page header',
                        1,
                    ],
                    [
                        'domashnyaya',
                        '{"0":"site/index"}',
                        'Домашняя страница',
                        'Описание домашней страницы',
                        'Заголовок домашней страницы',
                        2,
                    ],
                    [
                        'domashnya',
                        '{"0":"site/index"}',
                        'Домашня сторінка',
                        'Опис домашньої сторінки',
                        'Заголовок домашньої сторінки',
                        3,
                    ],
                ]
            );
        }
        
        public function safeDown()
        {
        
        }
    }
