<?php
    
    use artbox\core\models\Page;
    use artbox\core\models\PageLang;
    use yii\web\View;
    use yiister\gentelella\widgets\Panel;
    
    /**
     * @var View       $this
     * @var Page       $model
     * @var PageLang[] $modelLangs
     */
    $this->title = \Yii::t('core', 'Создать страницу');
    $this->params[ 'breadcrumbs' ][] = [
        'label' => \Yii::t('core', 'Pages'),
        'url'   => [ 'index' ],
    ];
    $this->params[ 'breadcrumbs' ][] = $this->title;
?>
<div class="page-create">
    <?php
        $xPanel = Panel::begin(
            [
                'header' => $this->title,
            ]
        );
    ?>
    
    <?= $this->render(
        '_form',
        [
            'model'      => $model,
            'modelLangs' => $modelLangs,
        ]
    ) ?>
    
    <?php
        $xPanel::end();
    ?>

</div>
