<?php
    use artbox\core\components\imagemanager\components\ImageManagerInputWidget;
    use artbox\core\models\Language;
    use dosamigos\tinymce\TinyMce;
    use yii\web\View;
    use yii\widgets\ActiveForm;
    
    /**
     * @var \artbox\core\models\SlideLang $model_lang
     * @var Language                      $language
     * @var ActiveForm                    $form
     * @var View                          $this
     */
    echo $form->field($model_lang, '[' . $language->id . ']image_id')
              ->widget(
                  ImageManagerInputWidget::className(),
                  [
                      'aspectRatio'                  => ( 16 / 9 ),
                      //set the aspect ratio
                      'showPreview'                  => true,
                      //false to hide the preview
                      'showDeletePickedImageConfirm' => false,
                      //on true show warning before detach image
                  ]
              );
    echo $form->field($model_lang, '[' . $language->id . ']title')
              ->textInput([ 'maxlength' => true ]);
    echo $form->field($model_lang, '[' . $language->id . ']link')
              ->textInput([ 'maxlength' => true ]);
?>