<?php
    
    use artbox\core\models\SlideSearch;
    use yii\helpers\Html;
    use yii\widgets\ActiveForm;
    
    /* @var $this yii\web\View */
    /* @var $model SlideSearch */
    /* @var $form yii\widgets\ActiveForm */
?>

<div class="slide-search">
    
    <?php $form = ActiveForm::begin(
        [
            'action' => [ 'index' ],
            'method' => 'get',
        ]
    ); ?>
    
    <?= $form->field($model, 'id') ?>
    
    <?= $form->field($model, 'slider_id') ?>
    
    <?= $form->field($model, 'status')
             ->checkbox() ?>
    
    <?= $form->field($model, 'sort') ?>
  
  <div class="form-group">
      <?= Html::submitButton(Yii::t('core', 'Search'), [ 'class' => 'btn btn-primary' ]) ?>
      <?= Html::resetButton(Yii::t('core', 'Reset'), [ 'class' => 'btn btn-default' ]) ?>
  </div>
    
    <?php ActiveForm::end(); ?>

</div>
