<?php
    
    use yii\helpers\Html;
    use yiister\gentelella\widgets\Panel;
    
    /**
     * @var yii\web\View                        $this
     * @var artbox\order\models\Delivery        $model
     * @var \artbox\order\models\DeliveryLang[] $modelLangs
     */
    
    $this->title = Yii::t('order', 'Create Delivery');
    $this->params[ 'breadcrumbs' ][] = [
        'label' => Yii::t('order', 'Deliveries'),
        'url'   => [ 'index' ],
    ];
    $this->params[ 'breadcrumbs' ][] = $this->title;
?>
<div class="delivery-create">
    <?php
        $xPanel = Panel::begin(
            [
                'header' => $this->title,
            ]
        );
    ?>
    <?= $this->render(
        '_form',
        [
            'model'      => $model,
            'modelLangs' => $modelLangs,
        ]
    ) ?>
    <?php
        $xPanel::end();
    ?>

</div>
