<?php
    
    use yii\db\Migration;
    
    class m170426_074728_add_main_images_to_catalog extends Migration
    {
        public function up()
        {
            $this->addColumn('variant', 'image_id', $this->integer());
            
            $this->addForeignKey('image_fk', 'variant', 'image_id', 'ImageManager', 'id', 'CASCADE', 'CASCADE');
            
            $this->addColumn('product', 'image_id', $this->integer());
            
            $this->addForeignKey('image_fk', 'product', 'image_id', 'ImageManager', 'id', 'CASCADE', 'CASCADE');
        }
        
        public function down()
        {
            $this->dropForeignKey('image_fk', 'product');
            
            $this->dropColumn('product', 'image_id');
            
            $this->dropForeignKey('image_fk', 'variant');
            
            $this->dropColumn('variant', 'image_id');
        }
    }
