<?php

use yii\db\Migration;

/**
 * Handles the creation of table `price_upload`.
 */
class m170802_085651_create_price_upload_table extends Migration
{
    /**
     * @inheritdoc
     */
    public function up()
    {
        $this->createTable('price_upload', [
            'sku'   => $this->string(),
            'price'      => $this->decimal(),
            'price_old'  => $this->decimal(),
        ]);
        
        $this->addPrimaryKey('sku_price_upload_pk', 'price_upload', 'sku');
    }

    /**
     * @inheritdoc
     */
    public function down()
    {
        $this->dropTable('price_upload');
    }
}
