<?php
/**
 * Created by PhpStorm.
 * User: stes
 * Date: 13.07.17
 * Time: 17:11
 */

namespace artbox\catalog\models;
use yii\db\ActiveRecord;
use artbox\core\behaviors\LanguageBehavior;
use yii\behaviors\TimestampBehavior;

class Event extends ActiveRecord
{
    public static function tableName()
    {
        return 'event';
    }
    public function behaviors()
    {
        return [
            'language' => [
                'class' => LanguageBehavior::className(),
            ],
        ];
    }

    public function getEventLangs()
    {
        return $this->hasMany(EventLang::className(), [ 'event_id' => 'id' ]);
    }
}