<?php
    
    use artbox\catalog\models\Category;
    use artbox\catalog\models\CategoryLang;
    use yii\web\View;
    use yiister\gentelella\widgets\Panel;
    
    /**
     * @var View           $this
     * @var Category       $model
     * @var CategoryLang[] $modelLangs
     */
    
    $this->title = Yii::t('catalog', 'Create Category');
    $this->params[ 'breadcrumbs' ][] = [
        'label' => Yii::t('catalog', 'Categories'),
        'url'   => [ 'index' ],
    ];
    $this->params[ 'breadcrumbs' ][] = $this->title;
?>
<div class="category-create">
    
    <?php
        $xPanel = Panel::begin(
            [
                'header' => $this->title,
            ]
        );
    ?>
    
    <?= $this->render(
        '_form',
        [
            'model'      => $model,
            'modelLangs' => $modelLangs,
        ]
    ) ?>
    
    <?php $xPanel::end(); ?>

</div>
