<?php
    
    use yii\helpers\Html;
    use yii\widgets\ActiveForm;
    
    /* @var $this yii\web\View */
    /* @var $model artbox\catalog\models\BrandSearch */
    /* @var $form yii\widgets\ActiveForm */
?>

<div class="brand-search">
    
    <?php $form = ActiveForm::begin(
        [
            'action' => [ 'index' ],
            'method' => 'get',
        ]
    ); ?>
    
    <?= $form->field($model, 'id') ?>
    
    <?= $form->field($model, 'image_id') ?>
    
    <?= $form->field($model, 'sort') ?>
    
    <?= $form->field($model, 'status')
             ->checkbox() ?>
    
    <?= $form->field($model, 'created_at') ?>
    
    <?php // echo $form->field($model, 'updated_at') ?>
    
    <div class="form-group">
        <?= Html::submitButton(Yii::t('catalog', 'Search'), [ 'class' => 'btn btn-primary' ]) ?>
        <?= Html::resetButton(Yii::t('catalog', 'Reset'), [ 'class' => 'btn btn-default' ]) ?>
    </div>
    
    <?php ActiveForm::end(); ?>

</div>
