<?php
    
    use yii\db\Migration;
    
    class m170309_000006_relations extends Migration
    {
        public function safeUp()
        {
            $this->addForeignKey(
                'fk_page_lang_alias_id',
                'page_lang',
                'alias_id',
                'alias',
                'id',
                'RESTRICT',
                'CASCADE'
            );
            $this->addForeignKey(
                'fk_page_lang_language_id',
                'page_lang',
                'language_id',
                'language',
                'id',
                'CASCADE',
                'CASCADE'
            );
            $this->addForeignKey(
                'fk_page_lang_page_id',
                'page_lang',
                'page_id',
                'page',
                'id',
                'CASCADE',
                'CASCADE'
            );
        }
        
        public function safeDown()
        {
            $this->dropForeignKey('fk_page_lang_alias_id', 'page_lang');
            $this->dropForeignKey('fk_page_lang_language_id', 'page_lang');
            $this->dropForeignKey('fk_page_lang_page_id', 'page_lang');
        }
    }
