<?php
    
    use artbox\core\models\Alias;
    use yii\web\View;
    use yiister\gentelella\widgets\Panel;
    
    /**
     * @var View  $this
     * @var Alias $model
     */
    
    $this->title = \Yii::t(
            'core',
            'Update {item}',
            [
                'item' => \Yii::t('core', 'Alias'),
            ]
        ) . ': ' . $model->value;
    $this->params[ 'breadcrumbs' ][] = [
        'label' => \Yii::t('core', 'Aliases'),
        'url'   => [ 'index' ],
    ];
    $this->params[ 'breadcrumbs' ][] = [
        'label' => $model->value,
        'url'   => [
            'view',
            'id' => $model->id,
        ],
    ];
    $this->params[ 'breadcrumbs' ][] = \Yii::t('core', 'Update');
?>
<div class="alias-update">
    
    <?php
        $xPanel = Panel::begin(
            [
                'header' => $this->title,
            ]
        )
    ?>
    
    <?= $this->render(
        '_form_update',
        [
            'model' => $model,
        ]
    ) ?>
    
    <?php
        $xPanel::end();
    ?>
</div>
