<?php
    
    use artbox\core\models\Slide;
    use yii\helpers\Html;
    
    /**
     * @var \yii\web\View                   $this
     * @var Slide                           $model
     * @var \artbox\core\models\Slider      $slider
     * @var \artbox\core\models\SlideLang[] $modelLangs
     */
    
    $this->title = Yii::t(
            'core',
            'Update {modelClass}: ',
            [
                'modelClass' => 'Slide',
            ]
        ) . $model->id;
    $this->params[ 'breadcrumbs' ][] = [
        'label' => Yii::t('core', 'Slides'),
        'url'   => [
            'index',
            'slider_id' => $slider->id,
        ],
    ];
    $this->params[ 'breadcrumbs' ][] = [
        'label' => $model->id,
        'url'   => [
            'view',
            'id' => $model->id,
        ],
    ];
    $this->params[ 'breadcrumbs' ][] = Yii::t('core', 'Update');
?>
<div class="slide-update">
  
  <h1><?= Html::encode($this->title) ?></h1>
    
    <?= $this->render(
        '_form',
        [
            'model'      => $model,
            'modelLangs' => $modelLangs,
            'slider'     => $slider,
        ]
    ) ?>

</div>
