<?php
    namespace artbox\core\widgets;
    
    use artbox\core\models\Feedback;
    use yii\base\Widget;
    
    /**
     * Class Feedback
     *
     * @package artbox\core\widgets
     */
    class FeedbackWidget extends Widget
    {
        public function run()
        {
            $count = Feedback::find()
                             ->where(
                                 [
                                     'status' => false,
                                 ]
                             )
                             ->count();
            
            return $this->render(
                '_feedback',
                [
                    'count' => $count,
                ]
            );
        }
    }