<?php
    
    use yii\helpers\Html;
    use yiister\gentelella\widgets\Panel;
    
    /**
     * @var \yii\web\View                    $this
     * @var \artbox\order\models\Label       $model
     * @var \artbox\order\models\LabelLang[] $modelLangs
     */
    $this->title = Yii::t(
            'order',
            'Update {modelClass}: ',
            [
                'modelClass' => 'Label',
            ]
        ) . $model->id;
    $this->params[ 'breadcrumbs' ][] = [
        'label' => Yii::t('order', 'Labels'),
        'url'   => [ 'index' ],
    ];
    $this->params[ 'breadcrumbs' ][] = [
        'label' => $model->id,
        'url'   => [
            'view',
            'id' => $model->id,
        ],
    ];
    $this->params[ 'breadcrumbs' ][] = Yii::t('order', 'Update');
?>
<div class="label-update">
    <?php
        $xPanel = Panel::begin(
            [
                'header' => $this->title,
            ]
        );
    ?>
    <?= $this->render(
        '_form',
        [
            'model'      => $model,
            'modelLangs' => $modelLangs,
        ]
    ) ?>
    
    <?php
        $xPanel::end();
    ?>

</div>
