<?php
    /**
     * Created by PhpStorm.
     * User: yarik
     * Date: 20.06.17
     * Time: 12:41
     */
    
    namespace common\components;
    
    use yii\base\Behavior;
    use yii\db\ActiveRecord;
    
    class IpBehavior extends Behavior
    {
        public function events()
        {
            return [
                ActiveRecord::EVENT_BEFORE_INSERT => 'writeIp',
            ];
        }
        
        public function writeIp()
        {
            /**
             * @var \frontend\models\Order $owner
             */
            $owner = $this->owner;
            $owner->ip = \Yii::$app->request->userIP;
        }
    }